> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List webhook deliveries

> Lists webhook_deliveries for the authenticated user



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/account-billing/webhooks.yml get /webhook_deliveries
openapi: 3.1.0
info:
  title: Telnyx Webhooks API
  version: 2.0.0
  description: API for Webhooks.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /webhook_deliveries:
    get:
      tags:
        - Webhooks
      summary: List webhook deliveries
      description: Lists webhook_deliveries for the authenticated user
      operationId: GetWebhookDeliveries
      parameters:
        - $ref: '#/components/parameters/PageConsolidated'
        - name: filter
          in: query
          style: deepObject
          explode: true
          required: false
          description: >-
            Consolidated filter parameter (deepObject style). Originally:
            filter[status][eq], filter[event_type], filter[webhook][contains],
            filter[attempts][contains], filter[started_at][gte],
            filter[started_at][lte], filter[finished_at][gte],
            filter[finished_at][lte]
          schema:
            type: object
            properties:
              status:
                type: object
                properties:
                  eq:
                    type: string
                    enum:
                      - delivered
                      - failed
                    example: delivered
                    description: Return only webhook_deliveries matching the given `status`
              event_type:
                type: string
                example: call_initiated,call.initiated
                description: >-
                  Return only webhook_deliveries matching the given value of
                  `event_type`. Accepts multiple values separated by a `,`.
              webhook:
                type: object
                properties:
                  contains:
                    type: string
                    example: call.initiated
                    description: >-
                      Return only webhook deliveries whose `webhook` component
                      contains the given text
              attempts:
                type: object
                properties:
                  contains:
                    type: string
                    example: https://fallback.example.com/webhooks
                    description: >-
                      Return only webhook_deliveries whose `attempts` component
                      contains the given text
              started_at:
                type: object
                properties:
                  gte:
                    type: string
                    example: '2019-03-29T11:10:00Z'
                    description: >-
                      Return only webhook_deliveries whose delivery started
                      later than or at given ISO 8601 datetime
                  lte:
                    type: string
                    example: '2019-03-29T11:10:00Z'
                    description: >-
                      Return only webhook_deliveries whose delivery started
                      earlier than or at given ISO 8601 datetime
              finished_at:
                type: object
                properties:
                  gte:
                    type: string
                    example: '2019-03-29T11:10:00Z'
                    description: >-
                      Return only webhook_deliveries whose delivery finished
                      later than or at given ISO 8601 datetime
                  lte:
                    type: string
                    example: '2019-03-29T11:10:00Z'
                    description: >-
                      Return only webhook_deliveries whose delivery finished
                      earlier than or at given ISO 8601 datetime
      responses:
        '200':
          $ref: '#/components/responses/ListWebhookDeliveriesResponse'
        '401':
          description: Unauthorized
        '422':
          description: Unprocessable entity
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            // Automatically fetches more pages as needed.

            for await (const webhookDeliveryListResponse of
            client.webhookDeliveries.list()) {
              console.log(webhookDeliveryListResponse.id);
            }
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            page = client.webhook_deliveries.list()
            page = page.data[0]
            print(page.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpage, err := client.WebhookDeliveries.List(context.TODO(), telnyx.WebhookDeliveryListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.webhookdeliveries.WebhookDeliveryListPage;

            import
            com.telnyx.sdk.models.webhookdeliveries.WebhookDeliveryListParams;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    WebhookDeliveryListPage page = client.webhookDeliveries().list();
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            page = telnyx.webhook_deliveries.list

            puts(page)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $page = $client->webhookDeliveries->list(
                filter: [
                  'attempts' => ['contains' => 'https://fallback.example.com/webhooks'],
                  'eventType' => 'call_initiated,call.initiated',
                  'finishedAt' => [
                    'gte' => '2019-03-29T11:10:00Z', 'lte' => '2019-03-29T11:10:00Z'
                  ],
                  'startedAt' => [
                    'gte' => '2019-03-29T11:10:00Z', 'lte' => '2019-03-29T11:10:00Z'
                  ],
                  'status' => ['eq' => 'delivered'],
                  'webhook' => ['contains' => 'call.initiated'],
                ],
                pageNumber: 0,
                pageSize: 0,
              );

              var_dump($page);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx webhook-deliveries list \
              --api-key 'My API Key'
components:
  parameters:
    PageConsolidated:
      name: page
      in: query
      style: deepObject
      explode: true
      description: >-
        Consolidated page parameter (deepObject style). Originally:
        page[number], page[size]
      schema:
        type: object
        properties:
          number:
            type: integer
            minimum: 1
            default: 1
            description: The page number to load
          size:
            type: integer
            minimum: 1
            maximum: 250
            default: 20
            description: The size of the page
  responses:
    ListWebhookDeliveriesResponse:
      description: A paginated array of webhook_delivery attempts
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                type: array
                items:
                  $ref: '#/components/schemas/webhook_delivery'
              meta:
                $ref: '#/components/schemas/PaginationMetaSimple'
  schemas:
    webhook_delivery:
      description: Record of all attempts to deliver a webhook.
      properties:
        id:
          description: Uniquely identifies the webhook_delivery record.
          type: string
          format: uuid
          example: f5586561-8ff0-4291-a0ac-84fe544797bd
        user_id:
          description: Uniquely identifies the user that owns the webhook_delivery record.
          type: string
          format: uuid
          example: 0ccc7b54-4df3-4bca-a65a-3da1ecc777f0
        record_type:
          description: Identifies the type of the resource.
          type: string
          example: webhook_delivery
        status:
          description: >-
            Delivery status: 'delivered' when successfuly delivered or 'failed'
            if all attempts have failed.
          enum:
            - delivered
            - failed
          type: string
        webhook:
          description: >-
            Original webhook JSON data. Payload fields vary according to event
            type.
          type: object
          properties:
            record_type:
              type: string
              example: event
              enum:
                - event
              description: Identifies the type of the resource.
            event_type:
              type: string
              example: webhook.command
              description: The type of event being delivered.
            id:
              type: string
              format: uuid
              example: 0ccc7b54-4df3-4bca-a65a-3da1ecc777f0
              description: Identifies the type of resource.
            occurred_at:
              type: string
              format: date-time
              example: '2018-02-02T22:25:27.521992Z'
              description: ISO 8601 datetime of when the event occurred.
            payload:
              type: object
              additionalProperties: true
          example:
            record_type: event
            id: C9C0797E-901D-4349-A33C-C2C8F31A92C2
            event_type: call_initiated
            occurred_at: '2020-08-10T13:02:01.000Z'
            payload:
              useful: information
        started_at:
          description: >-
            ISO 8601 timestamp indicating when the first request attempt was
            initiated.
          type: string
          format: date-time
          example: '2020-08-10T14:00:00.000Z'
        finished_at:
          description: >-
            ISO 8601 timestamp indicating when the last webhook response has
            been received.
          type: string
          format: date-time
          example: '2020-08-10T14:00:05.595Z'
        attempts:
          description: Detailed delivery attempts, ordered by most recent.
          type: array
          items:
            $ref: '#/components/schemas/attempt'
          example:
            - status: delivered
              started_at: '2020-08-10T14:00:05.364Z'
              finished_at: '2020-08-10T14:00:05.595Z'
              http:
                request:
                  url: https://fallback.example.com/webhooks
                  headers:
                    - - Accept
                      - '*/*'
                response:
                  status: 200
                  headers:
                    - - Content-Type
                      - text/html
                  body: All good.
            - status: failed
              started_at: '2020-08-10T14:00:05.004Z'
              finished_at: '2020-08-10T14:00:05.360Z'
              http:
                request:
                  url: https://typo.example.com/webhooks
                  headers:
                    - - Accept
                      - '*/*'
                response:
                  status: 404
                  headers:
                    - - Content-Type
                      - text/html
                    - - Pragma
                      - no-cache
                  body: Oops. Not found.
              errors:
                - 75499
    PaginationMetaSimple:
      type: object
      properties:
        page_number:
          type: integer
          example: 2
        page_size:
          type: integer
          example: 25
        total_pages:
          type: integer
          example: 3
        total_results:
          type: integer
          example: 55
    attempt:
      description: Webhook delivery attempt details.
      properties:
        status:
          type: string
          enum:
            - delivered
            - failed
        started_at:
          description: ISO 8601 timestamp indicating when the attempt was initiated.
          type: string
          format: date-time
        finished_at:
          description: ISO 8601 timestamp indicating when the attempt has finished.
          type: string
          format: date-time
        http:
          $ref: '#/components/schemas/http'
        errors:
          description: Webhook delivery error codes.
          type: array
          items:
            type: integer
      example:
        - status: delivered
          started_at: '2020-08-10T14:00:05.364Z'
          finished_at: '2020-08-10T14:00:05.595Z'
          http:
            request:
              url: https://fallback.example.com/webhooks
              headers:
                - - Accept
                  - '*/*'
            response:
              status: 200
              headers:
                - - Content-Type
                  - text/html
              body: All good.
        - status: failed
          started_at: '2020-08-10T14:00:05.004Z'
          finished_at: '2020-08-10T14:00:05.360Z'
          http:
            request:
              url: https://typo.example.com/webhooks
              headers:
                - - Accept
                  - '*/*'
            response:
              status: 404
              headers:
                - - Content-Type
                  - text/html
                - - Pragma
                  - no-cache
              body: Oops. Not found.
          errors:
            - 75499
        - status: failed
          started_at: '2020-08-10T14:00:00.000Z'
          finished_at: '2020-08-10T14:00:05.000Z'
          http:
            request:
              url: https://slow.example.com/webhooks
              headers:
                - 'Accept: */*'
            reponse: null
          errors:
            - code: '75001'
              title: Could not resolve name
              detail: Unable to resolve the webhook URL domain name
    http:
      description: HTTP request and response information.
      properties:
        request:
          description: Request details.
          properties:
            url:
              type: string
              example: https://example.com/webhooks
            headers:
              $ref: '#/components/schemas/http_headers'
        response:
          description: Response details, optional.
          type: object
          properties:
            status:
              type: integer
              example: 200
            headers:
              $ref: '#/components/schemas/http_headers'
            body:
              description: Raw response body, limited to 10kB.
              type: string
    http_headers:
      description: List of headers, limited to 10kB.
      type: array
      example:
        - - header_name
          - header_value
      items:
        type: array
        items:
          type: string
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````